/* gcd.cpp source file
 *
 * Copyright Cromwell D. Enage 2004.  Use, modification, and distribution are
 * subject to the Boost Software License, Version 1.0.  (See accompanying file
 * LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 */

/*
 * Defines the std::iostream class and std::cout, its global output instance.
 */
#include <iostream>

/*
 * Defines the std::setprecision I/O manipulator.
 */
#include <iomanip>

/*
 * Defines the boost::mpl::integral_c class template.
 */
#include <boost/mpl/integral_c.hpp>

/*
 * Defines the boost::mpl::greatest_common_divisor_c class template.
 */
#include "greatest_common_divisor.hpp"

int main()
{
    typedef boost::mpl::greatest_common_divisor_c<int, 12, 18>::type
            gcd;

    std::cout << "The greatest common divisor of 12 and 18 is ";
    std::cout << gcd::value << std::endl;

    return 0;
}

